#!/bin/bash

SCRHOME=/gpfs/scratch/bsc32/bsc32786/
MODEL=%EXPID%/EXP00/

member=%MEMBER%
member=${member:2}

input=$SCRHOME${MODEL}/parameters/00.csv
while read -r line
do
    IFS=',' read -r -a array <<< "$line"
    printf -v array[0] "%02d\n" ${array[0]}
    echo ${array[0]} $member
    if [ ${array[0]} == $member ]
    then
        xremip=${array[1]}
        wsbio=${array[2]}
        grazflux=${array[3]}
    fi
done < "$input"

echo $xremip
echo $wsbio
echo $grazflux

cd $SCRHOME${MODEL}%MEMBER%

sed -i "/xremip /c\   xremip    =  $xremip"  namelist_pisces_ref
sed -i "/wsbio /c\   wsbio     =  $wsbio" namelist_pisces_ref
sed -i "/grazflux /c\   grazflux  =  $grazflux" namelist_pisces_ref
